aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAnna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>2022-11-25 16:36:39 +0500
committerAnna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>2022-11-25 16:37:02 +0500
commita1cca7e4aa93042fe25047fe4367a2e6ae53d707 (patch)
treeb207ad25903b37429e950dfd33aeb27a868a909b /eclass
parentdotnet-utils.eclass: fix src_prepare (diff)
downloadguru-a1cca7e4aa93042fe25047fe4367a2e6ae53d707.tar.gz
guru-a1cca7e4aa93042fe25047fe4367a2e6ae53d707.tar.bz2
guru-a1cca7e4aa93042fe25047fe4367a2e6ae53d707.zip
dotnet-utils.eclass: use array for src_compile args
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo@sysrq.in>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/dotnet-utils.eclass17
1 files changed, 10 insertions, 7 deletions
diff --git a/eclass/dotnet-utils.eclass b/eclass/dotnet-utils.eclass
index 7be67d216..d035a95da 100644
--- a/eclass/dotnet-utils.eclass
+++ b/eclass/dotnet-utils.eclass
@@ -167,7 +167,7 @@ dotnet-utils_src_unpack() {
dotnet-utils_src_prepare() {
debug-print-function ${FUNCNAME} "${@}"
- edotnet restore --source "${DISTDIR}" || die "Restore failed"
+ edotnet restore --source "${DISTDIR}" || die "'dotnet restore' failed"
default_src_prepare
}
@@ -177,12 +177,15 @@ dotnet-utils_src_prepare() {
dotnet-utils_src_compile() {
debug-print-function ${FUNCNAME} "${@}"
- edotnet publish \
- --no-restore \
- --configuration Release \
- "-p:Version=${PV}" \
- -p:DebugType=embedded \
- --self-contained || die
+ local publist_args=(
+ --no-restore
+ --configuration Release
+ -p:Version=${PV}
+ -p:DebugType=embedded
+ --self-contained
+ )
+
+ edotnet publish "${publish_args}" || die "'dotnet publish' failed"
}
fi